vBulletin Vbugs.php 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110019 漏洞类型 跨站脚本
发布时间 2006-04-07 更新时间 2006-04-10
CVE编号 CVE-2006-1673 CNNVD-ID CNNVD-200604-088
漏洞平台 PHP CVSS评分 2.6
|漏洞来源
https://www.exploit-db.com/exploits/27580
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200604-088
|漏洞详情
Dark_WizardvBugTracker3.5.1及早期版本中的vbugs.php存在跨站脚本攻击漏洞,这使得远程攻击者可以借助于sortorder参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/17407/info

vBulletin is prone to a cross-site scripting vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Version 3.5.1 is vulnerable; other versions may also be affected.

http://www.example.com//vbugs.php?do=list&s=&textsearch=&vbug_typeid=0&vbug_statusid=0&vbug_severityid=0&vbug_versionid=0&assignment=0&sortfield=lastedit&sortorder=%22%3Cscript%3Ealert('r0t')%3C/script%3E
|参考资料

来源:XF
名称:vbulletin-vbugtracker-vbugs-xss(25649)
链接:http://xforce.iss.net/xforce/xfdb/25649
来源:BID
名称:17407
链接:http://www.securityfocus.com/bid/17407
来源:OSVDB
名称:24448
链接:http://www.osvdb.org/24448
来源:VUPEN
名称:ADV-2006-1267
链接:http://www.frsirt.com/english/advisories/2006/1267
来源:SECUNIA
名称:19562
链接:http://secunia.com/advisories/19562
来源:MISC
链接:http://pridels0.blogspot.com/2006/04/vbug-tracker-for-vbulletin-35x-xss.html